Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 477263002: ES6: Add support for method shorthand in object literals (Closed)

Created:
4 years, 11 months ago by arv (Not doing code reviews)
Modified:
4 years, 10 months ago
CC:
rossberg, v8-dev, wingo
Project:
v8
Visibility:
Public.

Description

ES6: Add support for method shorthand in object literals This is governed by the harmony-object-literals flag. BUG=v8:3516 LOG=Y R=rossberg@chromium.org Committed: https://code.google.com/p/v8/source/detail?r=23846

Patch Set 1 #

Patch Set 2 : trying to remove prototype #

Patch Set 3 : #

Total comments: 1

Patch Set 4 : #

Patch Set 5 : Add strict formal param checking #

Total comments: 15

Patch Set 6 : #

Total comments: 1

Patch Set 7 : #

Total comments: 25

Patch Set 8 : Code review feedback #

Patch Set 9 : #

Patch Set 10 : merge #

Unified diffs Side-by-side diffs Delta from patch set Stats (+633 lines, -302 lines) Patch
M src/arm/full-codegen-arm.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/arm/lithium-codegen-arm.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M src/arm64/full-codegen-arm64.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/arm64/lithium-codegen-arm64.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M src/ast.h View 1 2 3 4 5 6 7 8 9 6 chunks +22 lines, -21 lines 0 comments Download
M src/code-stubs.h View 1 2 3 4 5 6 7 8 9 1 chunk +10 lines, -4 lines 0 comments Download
M src/code-stubs-hydrogen.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -1 line 0 comments Download
M src/compiler.cc View 1 2 3 4 5 6 7 8 9 3 chunks +5 lines, -8 lines 0 comments Download
M src/contexts.h View 1 2 3 4 5 6 7 8 9 1 chunk +14 lines, -8 lines 0 comments Download
M src/factory.h View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -2 lines 0 comments Download
M src/factory.cc View 1 2 3 4 5 6 7 8 9 4 chunks +9 lines, -6 lines 0 comments Download
M src/flag-definitions.h View 1 2 3 4 5 6 7 8 9 2 chunks +3 lines, -0 lines 0 comments Download
M src/full-codegen.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/globals.h View 1 2 3 4 5 6 7 1 chunk +35 lines, -0 lines 0 comments Download
M src/hydrogen-instructions.h View 1 2 3 4 5 6 7 8 9 2 chunks +7 lines, -5 lines 0 comments Download
M src/ia32/full-codegen-ia32.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/ia32/lithium-codegen-ia32.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M src/mips/full-codegen-mips.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/mips/lithium-codegen-mips.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M src/mips64/full-codegen-mips64.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/mips64/lithium-codegen-mips64.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M src/objects.h View 1 2 3 4 5 6 7 8 9 2 chunks +15 lines, -6 lines 0 comments Download
M src/objects-inl.h View 1 2 3 4 5 6 7 8 9 2 chunks +16 lines, -1 line 0 comments Download
M src/parser.h View 1 2 3 4 5 6 7 8 9 2 chunks +8 lines, -16 lines 0 comments Download
M src/parser.cc View 1 2 3 4 5 6 7 8 9 11 chunks +27 lines, -36 lines 0 comments Download
M src/preparser.h View 1 2 3 4 5 6 7 8 9 11 chunks +97 lines, -99 lines 0 comments Download
M src/preparser.cc View 1 2 3 4 5 6 5 chunks +16 lines, -26 lines 0 comments Download
M src/runtime.h View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -0 lines 0 comments Download
M src/runtime.cc View 1 2 3 4 5 6 7 8 9 2 chunks +10 lines, -2 lines 0 comments Download
M src/v8natives.js View 1 2 3 4 5 6 7 8 9 1 chunk +6 lines, -1 line 0 comments Download
M src/x64/full-codegen-x64.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/x64/lithium-codegen-x64.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M src/x87/full-codegen-x87.cc View 1 2 3 4 5 6 7 8 9 1 chunk +1 line, -3 lines 0 comments Download
M src/x87/lithium-codegen-x87.cc View 1 2 3 4 5 6 7 8 9 1 chunk +2 lines, -3 lines 0 comments Download
M test/cctest/test-parsing.cc View 1 2 3 4 5 6 7 8 9 7 chunks +179 lines, -15 lines 0 comments Download
A test/mjsunit/harmony/object-literals-method.js View 1 2 3 4 5 1 chunk +123 lines, -0 lines 0 comments Download
A test/mjsunit/runtime-gen/functionisconcisemethod.js View 1 2 3 4 5 6 7 8 9 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 16 (0 generated)
arv (Not doing code reviews)
This depends on https://codereview.chromium.org/458613004/
4 years, 11 months ago (2014-08-15 23:00:18 UTC) #1
arv (Not doing code reviews)
FYI
4 years, 11 months ago (2014-08-15 23:03:27 UTC) #2
arv (Not doing code reviews)
This is now ready for review. What other things should I test? https://codereview.chromium.org/477263002/diff/40001/src/ast.h File src/ast.h ...
4 years, 11 months ago (2014-08-20 22:08:29 UTC) #3
arv (Not doing code reviews)
Ping.
4 years, 10 months ago (2014-08-21 16:57:08 UTC) #4
arv (Not doing code reviews)
Adding Marja for parser changes I initially was going to do the StrictFormalParameters in a ...
4 years, 10 months ago (2014-08-21 19:52:01 UTC) #5
marja
https://codereview.chromium.org/477263002/diff/80001/src/parser.h File src/parser.h (right): https://codereview.chromium.org/477263002/diff/80001/src/parser.h#newcode577 src/parser.h:577: FunctionLiteral::IsGeneratorFlag is_generator, Are these flag mutually exclusive; Afaik an ...
4 years, 10 months ago (2014-08-22 08:22:47 UTC) #6
rossberg
https://codereview.chromium.org/477263002/diff/80001/src/parser.h File src/parser.h (right): https://codereview.chromium.org/477263002/diff/80001/src/parser.h#newcode577 src/parser.h:577: FunctionLiteral::IsGeneratorFlag is_generator, On 2014/08/22 08:22:46, marja wrote: > Are ...
4 years, 10 months ago (2014-08-22 09:34:31 UTC) #7
arv (Not doing code reviews)
I ended up having to mostly rewrite ParsePropertyDefinition again to better support numeric names. I ...
4 years, 10 months ago (2014-08-22 23:16:03 UTC) #8
rossberg
I like this version much better. Moving forward, since you can easily construct invalid kind ...
4 years, 10 months ago (2014-08-25 09:39:30 UTC) #9
arv (Not doing code reviews)
I might be slow to post another patch set. This week is going to be ...
4 years, 10 months ago (2014-09-02 14:42:48 UTC) #10
rossberg
https://codereview.chromium.org/477263002/diff/160001/src/ast.h File src/ast.h (right): https://codereview.chromium.org/477263002/diff/160001/src/ast.h#newcode2493 src/ast.h:2493: class IsArrow : public BitField<bool, 6, 1> {}; On ...
4 years, 10 months ago (2014-09-08 14:08:59 UTC) #11
arv (Not doing code reviews)
I'm back to normal schedule now. I believe I fixed all the issues you pointed ...
4 years, 10 months ago (2014-09-09 22:24:27 UTC) #12
arv (Not doing code reviews)
PING
4 years, 10 months ago (2014-09-10 14:06:15 UTC) #13
rossberg
lgtm
4 years, 10 months ago (2014-09-10 14:28:33 UTC) #14
arv (Not doing code reviews)
merge
4 years, 10 months ago (2014-09-10 15:35:13 UTC) #15
arv (Not doing code reviews)
4 years, 10 months ago (2014-09-10 16:39:58 UTC) #16
Message was sent while issue was closed.
Committed patchset #10 (id:220001) manually as 23846 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698